package de.jottyfan.timetrack.modules;

import javax.enterprise.context.RequestScoped;
import javax.faces.context.FacesContext;
import javax.inject.Inject;
import javax.inject.Named;

import de.jottyfan.timetrack.help.Pages;

/**
 * 
 * @author henkej
 *
 */
@Named
@RequestScoped
public class SessionControl {

	@Inject
	private SessionBean sessionBean;

	public String doLogin() {
		SessionModel model = new SessionModel();
		model.doLogin(FacesContext.getCurrentInstance(), sessionBean);
		return Pages.START.get();
	}

	public String doLogout() {
		sessionBean.setLogin(null);
		sessionBean.setSecret(null);
		sessionBean.setForename(null);
		sessionBean.setSurname(null);
		sessionBean.setUsername(null);
		return Pages.START.get();
	}
}
